Hepsiburada Product
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-hepsiburada-products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product": "HBCV00004X9ZCK"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-hepsiburada-products"
payload = { "product": "HBCV00004X9ZCK" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product: 'HBCV00004X9ZCK'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-hepsiburada-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "hepsiburada_product",
"product": "HBCV00004X9ZCK",
"human": "# Hepsiburada product\n\n- **Product:** HBCV00004X9ZCK\n- **Proxy traffic:** 1.09 MB\n- **Title:** Apple iPhone 15 128 GB Mavi\n- **Brand:** Apple\n- **Price:** 57,049 TRY\n- **Rating:** 4.8 (13022 reviews)\n- **Availability:** In stock",
"machine": {
"product": {
"@type": "HepsiburadaProduct",
"id": "HBCV00004X9ZCK",
"product_id": "HBC00004X9ZCG",
"url": "https://www.hepsiburada.com/apple-iphone-15-128-gb-mavi-p-HBCV00004X9ZCK",
"name": "Apple iPhone 15 128 GB Mavi",
"brand": "Apple",
"brand_id": "apple",
"price": 57049,
"list_price": 57049,
"min_price": 63999,
"max_price": 70000,
"discount_percentage": 0,
"currency": "TRY",
"image": "https://productimages.hepsiburada.net/s/462/1500/110000498600869.jpg",
"images": [
"https://productimages.hepsiburada.net/s/462/1500/110000498600869.jpg",
"https://productimages.hepsiburada.net/s/462/1500/110000498582819.jpg"
],
"video": "https://images.hepsiburada.net/assets/videos/ProductVideos/HBCV00004XA25T.mp4",
"rating": 4.8,
"rating_count": 13022,
"is_in_stock": true,
"stock_quantity": 2503,
"barcode": "0195949036583",
"catalog_name": "Telefon",
"definition_name": "Cep Telefonu",
"energy_class": null,
"tax_vat_rate": 20,
"is_bundle": false,
"is_pre_order": false,
"is_adult_product": false,
"shipment_day": 0,
"has_free_shipping": false,
"has_fast_shipping": false,
"category": "iPhone 15",
"breadcrumbs": [
"Telefonlar & Aksesuarlar",
"Cep Telefonları"
],
"categories": [
{
"@type": "HepsiburadaProductCategory",
"id": "2147483642",
"name": "Telefon",
"alias": "telefonlar",
"level": 1
},
{
"@type": "HepsiburadaProductCategory",
"id": "371965",
"name": "Cep Telefonu",
"alias": "cep-telefonlari",
"level": 2
},
{
"@type": "HepsiburadaProductCategory",
"id": "60005202",
"name": "iPhone iOS Telefonlar",
"alias": "iphone-ios-telefonlar",
"level": 3
}
],
"attributes": [
{
"@type": "HepsiburadaProductAttribute",
"name": "Yüz Tanıma",
"value": "Var",
"group": null
},
{
"@type": "HepsiburadaProductAttribute",
"name": "Ekran Boyutu",
"value": "6,1 inç",
"group": null
}
],
"variants": [
{
"@type": "HepsiburadaProductVariant",
"sku": "HBCV00004X9ZCH",
"name": "Apple iPhone 15 128 GB Siyah",
"url": "https://www.hepsiburada.com/apple-iphone-15-128-gb-siyah-p-HBCV00004X9ZCH",
"price": 56999,
"is_default": false,
"is_in_stock": true,
"is_pre_order": false,
"image": "https://productimages.hepsiburada.net/s/462/500/110000498569710.jpg",
"barcode": "0195949036040",
"options": [
{
"@type": "HepsiburadaProductAttribute",
"name": "Renk",
"value": "Siyah",
"group": null
},
{
"@type": "HepsiburadaProductAttribute",
"name": "Kapasite",
"value": "128 GB",
"group": null
}
]
},
{
"@type": "HepsiburadaProductVariant",
"sku": "HBCV00004X9ZCK",
"name": "Apple iPhone 15 128 GB Mavi",
"url": "https://www.hepsiburada.com/apple-iphone-15-128-gb-mavi-p-HBCV00004X9ZCK",
"price": 57049,
"is_default": true,
"is_in_stock": true,
"is_pre_order": false,
"image": "https://productimages.hepsiburada.net/s/462/500/110000498600869.jpg",
"barcode": "0195949036583",
"options": [
{
"@type": "HepsiburadaProductAttribute",
"name": "Renk",
"value": "Mavi",
"group": null
},
{
"@type": "HepsiburadaProductAttribute",
"name": "Kapasite",
"value": "128 GB",
"group": null
}
]
}
],
"seller": {
"@type": "HepsiburadaProductSeller",
"id": "e750130c-d0ff-469f-8767-66a63af8ea0c",
"name": "Hepsiburada",
"alias": "hepsiburada",
"city": "KOCAELİ",
"rating": 0,
"rating_count": 0,
"image": "https://images.hepsiburada.net/assets/marketplace/e750130c-d0ff-469f-8767-66a63af8ea0c-16442.png",
"label": "Resmi Satıcı"
},
"other_seller_count": 20,
"other_sellers": [
{
"@type": "HepsiburadaProductOffer",
"seller_id": "30fef47d-efc2-47d9-9b2f-f64a96947a42",
"seller_name": "Referans Bilişim",
"seller_alias": "referans-bilisim",
"listing_id": "0f6bf5b0-e893-4c5f-8071-3d38250d19f9",
"price": 63999,
"list_price": 63999,
"currency": "TRY",
"rating": 9.8,
"rating_count": 0,
"city": "İSTANBUL",
"has_free_shipping": false,
"has_fast_shipping": false,
"is_winner": false
},
{
"@type": "HepsiburadaProductOffer",
"seller_id": "3b723e54-69f8-461d-bfce-547f01cb86ac",
"seller_name": "Çetin Grup",
"seller_alias": "cetin-grup",
"listing_id": "8c6821b3-1440-42f2-aff8-d20e0867f045",
"price": 65000,
"list_price": 65000,
"currency": "TRY",
"rating": 9.8,
"rating_count": 0,
"city": "İSTANBUL",
"has_free_shipping": false,
"has_fast_shipping": false,
"is_winner": false
}
]
},
"other_sellers_complete": true,
"response_bytes": 1139328
},
"total_points": 5
}E-commerce & Marketplaces
Hepsiburada Product
Get full Hepsiburada product details by SKU, product group id or URL: name, brand, price, list price, discount, images, video, rating, stock, specs, variants, categories, the winning seller and other sellers. Flat 5 points per successful run.
POST
/
functions
/
v1
/
run-hepsiburada-products
Hepsiburada Product
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
SKU, product group ID or URL. e.g. HBCV00004X9ZCK
Response
Run completed.